## elogind 234.4

=== debian/changelog ===
elogind (234.4-2) ascii-proposed; urgency=medium

  * merge changes from suites/experimental

 -- Andreas Messer <andi@bastelmap.de>  Thu, 22 Feb 2018 21:42:34 +0100

elogind (234.4-2~exp1) experimental; urgency=medium

  * debian/rules
    - Make libpam-elogind break libpam-ck-connector
  * enable pristine-tar 

 -- Andreas Messer <andi@bastelmap.de>  Thu, 22 Feb 2018 19:49:52 +0100

elogind (234.4-1+devuan1.5) ascii; urgency=medium

  * migrated to ascii 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 10 Feb 2018 16:58:38 +0000

elogind (234.4-1+devuan1.4) experimental; urgency=medium

  *  debian/libelogind-dev.install
    -  Drop manpages to allow installation in parallel
       with libsystemd-dev
  * debian/extras/elogind
    - enable elogind pam by default

 -- Andreas Messer <andi@bastelmap.de>  Wed, 07 Feb 2018 22:23:46 +0100

elogind (234.4-1+devuan1.3) experimental; urgency=medium

  * debian/patches/fix-forking.diff 
    - Fix startpar not erminating due to open file descriptors after
      forking

 -- Andreas Messer <andi@bastelmap.de>  Sat, 27 Jan 2018 12:44:32 +0100

elogind (234.4-1+devuan1.2) experimental; urgency=medium

  * debian/rules
    - disable killing background processes on logout

 -- Andreas Messer <andi@bastelmap.de>  Sat, 20 Jan 2018 16:53:32 +0100

elogind (234.4-1+devuan1) experimental; urgency=medium

  * Initial release.

 -- Andreas Messer <andi@bastelmap.de>  Thu, 04 Jan 2018 19:26:09 +0100
