## elogind 239.3

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix''')
#if 0 /// UNNEEDED by elogind
# option('link-udev-shared', type : 'boolean',
#        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
# option('link-systemctl-shared', type: 'boolean',
#        description : 'link systemctl against libsystemd-shared.so')
#endif // 0
option('static-libelogind', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libelogind''')
#if 0 /// UNNEEDED by elogind
# option('static-libudev', type : 'combo',
#        choices : ['false', 'true', 'pic', 'no-pic'],
#        description : '''install a static library for libudev''')
# 
# option('sysvinit-path', type : 'string', value : '/etc/init.d',
#        description : 'the directory where the SysV init scripts are located')
# option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
#        description : 'the base directory for SysV rcN.d directories')
# option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
#        description : 'path to telinit')
# option('rc-local', type : 'string',
#        value : '/etc/rc.local')
# option('halt-local', type : 'string',
#        value : '/usr/sbin/halt.local')
# 
# option('quotaon-path', type : 'string', description : 'path to quotaon')
# option('quotacheck-path', type : 'string', description : 'path to quotacheck')
# option('kill-path', type : 'string', description : 'path to kill')
# option('kmod-path', type : 'string', description : 'path to kmod')
#else
# elogind must have a configurable rootlibexecdir
option('rootlibexecdir', type : 'string',
       description : '''override the root libexec directory path''')

# And because elogind depends on external udev, it must be
# configurable as well.
option('udevrulesdir', type : 'string',
       description : '''directory for udev rules files''')

option('udevbindir', type : 'string',
       description : '''directory for udev binary files''')

# We are nice and make the documentation paths configurable
option('docdir', type : 'string', description : 'path where to install the documentation.')
option('htmldir', type : 'string', description : 'path where to install the HTML documentation.')

# We have no systemd-shutdown binary, so we need 'halt', 'reboot' and 'poweroff'
option('halt-path', type : 'string', description : 'path to halt')
option('poweroff-path', type : 'string', description : 'path to poweroff')
option('reboot-path', type : 'string', description : 'path to reboot')
#endif // 0
option('kexec-path', type : 'string', description : 'path to kexec')
#if 0 /// UNNEEDED by elogind
# option('sulogin-path', type : 'string', description : 'path to sulogin')
# option('mount-path', type : 'string', description : 'path to mount')
# option('umount-path', type : 'string', description : 'path to umount')
# option('loadkeys-path', type : 'string', description : 'path to loadkeys')
# option('setfont-path', type : 'string', description : 'path to setfont')
# 
# option('debug-shell', type : 'string', value : '/bin/sh',
#        description : 'path to debug shell binary')
# option('debug-tty', type : 'string', value : '/dev/tty9',
#        description : 'specify the tty device for debug shell')
# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache'], value : [],
#        description : 'enable extra debugging')
# option('memory-accounting-default', type : 'boolean',
#        description : 'enable MemoryAccounting= by default')
#endif // 0
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
#if 1 /// Add an extra debugging option for elogind
option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'mmap-cache'], value : [],
       description : 'enable extra debugging')
#endif // 1

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
#if 0 /// UNNEEDED by elogind
# option('hibernate', type : 'boolean',
#        description : 'support for hibernation')
# option('ldconfig', type : 'boolean',
#        description : 'support for dynamic linker cache creation')
# option('resolve', type : 'boolean',
#        description : 'systemd-resolved stack')
# option('efi', type : 'boolean',
#        description : 'enable systemd-boot and bootctl')
# option('tpm', type : 'boolean',
#        description : 'TPM should be used to log events and extend the registers')
# option('environment-d', type : 'boolean',
#        description : 'support for environment.d')
# option('binfmt', type : 'boolean',
#        description : 'support for custom binary formats')
# option('coredump', type : 'boolean',
#        description : 'install the coredump handler')
# option('logind', type : 'boolean',
#        description : 'install the systemd-logind stack')
# option('hostnamed', type : 'boolean',
#        description : 'install the systemd-hostnamed stack')
# option('localed', type : 'boolean',
#        description : 'install the systemd-localed stack')
# option('machined', type : 'boolean',
#        description : 'install the systemd-machined stack')
# option('portabled', type : 'boolean',
#        description : 'install the systemd-portabled stack')
# option('networkd', type : 'boolean',
#        description : 'install the systemd-networkd stack')
# option('timedated', type : 'boolean',
#        description : 'install the systemd-timedated daemon')
# option('timesyncd', type : 'boolean',
#        description : 'install the systemd-timesyncd daemon')
# option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'support for "journal over the network"')
# option('myhostname', type : 'boolean',
#        description : 'nss-myhostname support')
# option('firstboot', type : 'boolean',
#        description : 'support for firstboot mechanism')
# option('randomseed', type : 'boolean',
#        description : 'support for restoring random seed')
# option('backlight', type : 'boolean',
#        description : 'support for restoring backlight state')
# option('vconsole', type : 'boolean',
#        description : 'support for vconsole configuration')
# option('quotacheck', type : 'boolean',
#        description : 'support for the quotacheck tools')
# option('sysusers', type : 'boolean',
#        description : 'support for the sysusers configuration')
# option('tmpfiles', type : 'boolean',
#        description : 'support for tmpfiles.d')
# option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install the systemd-importd daemon')
# option('hwdb', type : 'boolean',
#        description : 'support for the hardware database')
# option('rfkill', type : 'boolean',
#        description : 'support for the rfkill tools')
#endif // 0
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')

#if 0 /// UNNEEDED by elogind
# option('certificate-root', type : 'string', value : '/etc/ssl',
#        description : 'the prefix for TLS certificates')
#endif // 0
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : 'share/pkgconfig',
       description : 'directory for ')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for ')
#if 0 /// UNNEEDED by elogind
# option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
#        description : 'directory for rpm macros ["no" disables]')
#endif // 0
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('docdir', type : 'string',
       description : 'documentation directory')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
#if 0 /// UNNEEDED by elogind
# option('compat-gateway-hostname', type : 'boolean', value : 'false',
#        description : 'allow "gateway" as the symbolic name for default gateway')
#endif // 0
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
#if 0 /// elogind interprets this a bit different
#        description : 'default cgroup hierarchy')
# option('time-epoch', type : 'string',
#        description : 'time epoch for time clients')
#else
       description : '''Wanted cgroup hierarchy if elogind has to be a cgroup controller:
                "legacy"  assumes tmpfs mounted on /sys/fs/cgroup and cgroup on its
                                  subfolders.
                "hybrid"  assumes cgroups version 2 mounted on /sys/fs/cgroup/unified.
                                  /sys/fs/cgroup is legacy, then.
                "unified" assumes cgroups version 2 on /sys/fs/cgroup''')
option('cgroup-controller', type : 'string',
       description : 'Name of the cgroup controller to use')
#endif // 0
option('system-uid-max', type : 'string',
       description : 'maximum system UID')
option('system-gid-max', type : 'string',
       description : 'maximum system GID')
#if 0 /// UNNEEDED by elogind
# option('dynamic-uid-min', type : 'string',
#        description : 'minimum dynamic UID',
#        value : '61184') # That's → 0x0000EF00 in hex
# option('dynamic-uid-max', type : 'string',
#        description : 'maximum dynamic UID',
#        value : '65519') # That's → 0x0000FFEF in hex
# option('container-uid-base-min', type : 'string',
#        description : 'minimum container UID base',
#        value : '524288') # That's → 0x00080000 in hex
# option('container-uid-base-max', type : 'string',
#        description : 'maximum container UID base',
#        value : '1878982656') # That's → 0x6FFF0000 in hex
#endif // 0
option('tty-gid', type : 'string',
       description : 'the numeric GID of the "tty" group',
       value : '5')
#if 0 /// UNNEEDED by elogind
# option('users-gid', type : 'string',
#        description : 'the numeric GID of the "users" group')
# option('adm-group', type : 'boolean',
#        description : 'the ACL for adm group should be added')
# option('wheel-group', type : 'boolean',
#        description : 'the ACL for wheel group should be added')
#endif // 0
option('nobody-user', type : 'string',
       description : 'The name of the nobody user (the one with UID 65534)',
       value : 'nobody')
option('nobody-group', type : 'string',
       description : 'The name of the nobody group (the one with GID 65534)',
       value : 'nobody')
#if 0 /// UNNEEDED by elogind
# option('dev-kvm-mode', type : 'string', value : '0666',
#        description : '/dev/kvm access mode')
# option('group-render-mode', type : 'string', value : '0666',
#        description : 'Access mode for devices owned by render group (e.g. /dev/dri/renderD*, /dev/kfd).')
#endif // 0
option('default-kill-user-processes', type : 'boolean',
       description : 'the default value for KillUserProcesses= setting')
option('gshadow', type : 'boolean',
