## elogind 234.4.2.3

=== debian/changelog ===
elogind (234.4.2.3) unstable; urgency=medium

  * added elogind.postinst script

 -- anticapitalista <antix@operamail.com>  Sat, 10 Mar 2018 19:51:49 +0200

elogind (234.4.2.2) unstable; urgency=medium

  * add appropriate hook to initramfs - thanks to PutlerKaputt

 -- anticapitalista <antix@operamail.com>  Fri, 09 Mar 2018 19:46:59 +0200

elogind (234.4.2.1) unstable; urgency=medium

  * Devuan upsteam changes
  * Make libpam-elogind break libpam-ck-connector
  * merge changes from suites/experimental

 -- anticapitalista <antix@operamail.com>  Tue, 06 Mar 2018 17:09:35 +0200

elogind (234.4.2) unstable; urgency=medium

  * Devuan upstream changes
  * Fix startpar not erminating due to open file descriptors after forking
  * enable elogind pam by default
  * Drop manpages to allow installation in parallel

 -- anticapitalista <antix@operamail.com>  Fri, 09 Feb 2018 14:57:05 +0200

elogind (234.4.1) unstable; urgency=medium

  * debian/rules  - disable killing background processes on logout
  * upstream devuan fix

 -- anticapitalista <antix@operamail.com>  Wed, 24 Jan 2018 19:48:45 +0200

elogind (234.4) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 17 Jan 2018 12:59:35 +0200
