## elogind 239.1

=== debian/changelog ===
elogind (239.1-0.1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream release v239.1.
  * Rework packaging for meson buildsystem.
  * Change libpam-elogind Breaks dependencies to Conflicts.
  * Update to debhelper compat 11.
  * Update to Standards version 4.2.1 (no changes).
  * Enable LTO build as it works with binutils from unstable (2.31.1).
  * Include manpages in -dev package.
  * Move documentation consistency changes to a  quilt patch.
  * Add AppStream metainfo.
  * Add upstream watchfile.
  * Don't package /lib/udev/rules.d/70-power-switch.rules which is also in udev.
  * Configure with -Dsplit-usr=true to ensure consistent build.
  * Fix SIGABRT on daemonization caused by freeing overlapping pointers to
    program_invocation[_short]_name (Upstream:
    https://github.com/elogind/elogind/issues/92).
  * New version of /etc/pam.d/elogind-user based on Debian systemd.

  [ Andreas Messer ]
  * fix debian branch in gbp.conf
  * change upstream version tagname

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 07 Nov 2018 00:00:29 +0000
