=== debian/control ===
--- 
+++ 
@@ -2,19 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Andreas Messer <andi@bastelmap.de>
-Standards-Version: 3.9.8
-Vcs-Git: https://git.devuan.org/amesser/elogind.git
-Vcs-Browser: https://git.devuan.org/amesser/elogind.git
+Standards-Version: 4.2.1
+Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/elogind
 Homepage: https://github.com/elogind/elogind
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
                pkg-config,
                docbook-xsl,
-               dh-autoreconf,
-               automake (>= 1.11),
-               autoconf,
-               libtool,
-               intltool,
+               meson,
                gperf,
                gtk-doc-tools,
                python3-lxml,
@@ -44,7 +40,7 @@
 Provides: logind
 Conflicts: systemd
 Description: user, seat and session management daemon
- elogind is a session management daemon extracted from systmd project's 
+ elogind is a session management daemon extracted from systemd project's
  "logind"
 
 Package: libelogind0
@@ -81,8 +77,8 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Breaks: libpam-ck-connector,
-        libpam-systemd
+Conflicts: libpam-ck-connector
+Breaks: libpam-systemd
 Provides: libpam-systemd
 Replaces: libpam-systemd
 Description: elogind PAM module
