## elogind 239.1+20181112+gd4a3f291e395+nosubmodule

=== debian/changelog ===
elogind (239.1+20181112+gd4a3f291e395+nosubmodule-1+debian1) unstable; urgency=medium

  * Update to upstream 239.2 prerelease. [Mark Hindley]
  * Change version number to +20181112+gd4a3f291e395. [Ian Jackson]
  * Make debian-init-diversity list the Maintainer and add myself
    to Uploaders. [Ian Jackson]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 13 Nov 2018 14:06:37 +0000

elogind (239.1-1+debian1~rc2) unstable; urgency=medium

  * Update fix for SIGABRT to upstream #92.
  * Disable Dbus activation by default.
  * Use shutdown rather than poweroff as the latter is missing on runit systems.
  * Remove upstream pwx git submodule. Thanks to Ian Jackson.
  * libelogind-dev conflicts libsystemd-dev.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 09 Nov 2018 13:01:28 +0000

elogind (239.1-1+debian1~rc1) unstable; urgency=medium

  * Initial upload to Debian (closes: #905388).
  * New upstream release v239.1.
  * Rework packaging for meson buildsystem.
  * Change libpam-elogind Breaks dependencies to Conflicts.
  * Update to debhelper compat 11.
  * Update to Standards version 4.2.1 (no changes).
  * Enable LTO build as it works with binutils from unstable (2.31.1).
  * Include manpages in -dev package.
  * Move documentation consistency changes to a  quilt patch.
  * Add AppStream metainfo.
  * Add upstream watchfile.
  * Don't package /lib/udev/rules.d/70-power-switch.rules which is also in udev.
  * Configure with -Dsplit-usr=true to ensure consistent build.
  * Fix SIGABRT on daemonization caused by freeing overlapping pointers to
    program_invocation[_short]_name (Upstream:
    https://github.com/elogind/elogind/issues/92).
  * New version of /etc/pam.d/elogind-user based on Debian systemd.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 07 Nov 2018 16:31:31 +0000
