=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
+Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders: Andreas Messer <andi@bastelmap.de>,
+           Mark Hindley <mark@hindley.org.uk>,
+           Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/elogind
+Vcs-Git: https://git.devuan.org/LeePen/elogind.git
+Vcs-Browser: https://git.devuan.org/LeePen/elogind
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
@@ -35,7 +38,7 @@
          libudev1,
          libelogind0 (= ${binary:Version}),
          lsb-base (>= 3.1),
-         dbus (>= 1.4)
+         dbus (>= 1.9.14)
 Recommends: policykit-1
 Provides: logind
 Conflicts: systemd
@@ -63,6 +66,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libelogind0 (= ${binary:Version})
+Conflicts: libsystemd-dev
 Description: user, seat and session management library (development files)
  This package contains the files needed for developing applications that 
  use libelogind
@@ -78,9 +82,6 @@
          elogind (= ${binary:Version}),
          libpam-runtime
 Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd
-Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
