=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #   pam libs must go to /lib/*/security, same for udev rules
 # - disable killing users processes by default. This is weird an unexpected
 #   behavior
+# - /sbin/poweroff is missing on runit systems, so use /sbin/shutdown instead
 # - SELinux build is broken on 239 (fix available for 240)
 # - tests disabled beacuase some of the tests seem to require elogind running.
 #   Need to sort out which tests could be run
@@ -16,6 +17,7 @@
   -Ddocdir=/usr/share/doc/elogind \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
+  -Dpoweroff-path=/sbin/shutdown \
   -Dselinux=false \
   -Dtests=false
