## elogind 239.1+20181115

=== debian/changelog ===
elogind (239.1+20181115-1) experimental; urgency=medium

  * Upstream fix to address excessive delay closing sessions.
  * To build polkit, we will need to install libsystemd-dev and libelogind-dev
    simlultaneously. So
     - move dev manpages to separate package.
     - no longer conflict -dev package with libsystemd-dev.
  * Disable Dbus activation by default.
  * Remove upstream pwx git submodule. Thanks to Ian Jackson.
  * Rework packaging for meson buildsystem.
  * Change libpam-elogind Breaks dependencies to Conflicts.
  * Update to debhelper compat 11.
  * Update to Standards version 4.2.1 (no changes).
  * Enable LTO build as it works with binutils from unstable (2.31.1).
  * Move documentation consistency changes to a quilt patch.
  * Add AppStream metainfo.
  * Add upstream watchfile.
  * Don't package /lib/udev/rules.d/70-power-switch.rules which is also in udev.
  * Configure with -Dsplit-usr=true to ensure consistent build.
  * New version of /etc/pam.d/elogind-user based on Debian systemd.
  * New upstream release v239.1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 15 Nov 2018 10:49:15 +0000
