=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
-Uploaders: Andreas Messer <andi@bastelmap.de>,
-           Mark Hindley <mark@hindley.org.uk>,
-           Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Andreas Messer <andi@bastelmap.de>
+Uploaders: Mark Hindley <mark@hindley.org.uk>
 Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/LeePen/elogind.git
-Vcs-Browser: https://git.devuan.org/LeePen/elogind
+Vcs-Git: https://git.devuan.org/devuan-pacakges/elogind.git
+Vcs-Browser: https://git.devuan.org/devuan-packages/elogind.git
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
@@ -66,9 +64,22 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libelogind0 (= ${binary:Version})
-Conflicts: libsystemd-dev
 Description: user, seat and session management library (development files)
  This package contains the files needed for developing applications that 
+ use libelogind
+
+
+Package: libelogind-dev-doc
+Section: libdevel
+Priority: optional
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libelogind-dev (= ${binary:Version})
+Description: user, seat and session management library (development documentation files)
+ This package contains the documentation related to developing applications that
  use libelogind
 
 Package: libpam-elogind
@@ -82,6 +93,9 @@
          elogind (= ${binary:Version}),
          libpam-runtime
 Conflicts: libpam-ck-connector
+Breaks: libpam-systemd
+Provides: libpam-systemd
+Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
