## elogind 239.3

=== debian/changelog ===
elogind (239.3-4+debian1) unstable; urgency=medium

  * Set AppStream component id to begin with a reverse domain name.
  * Add Breaks and Replaces libelogind-dev (<< 239.1+20181115-1) to
    libelogind-dev-doc (Closes: #916786).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 19 Dec 2018 09:15:05 +0000

elogind (239.3-3+debian1) unstable; urgency=medium

  * Preserve session and seat data when restarting (Closes: #916247).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 14 Dec 2018 00:48:03 +0000

elogind (239.3-2+debian1) unstable; urgency=medium

  * Fix stale pidfile handling (Closes: #916212).
  * Add separate reload option to initscript.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 13 Dec 2018 11:26:15 +0000

elogind (239.3-1+debian1) unstable; urgency=medium

  * New upstream release.
  * Delete Dbus_lib_machine-id patch, now included upstream.
  * Delete manpage-branding.diff, now incorporated upstream.
  * Use CC0-1.0 for AppStream metadata license.
  * Correct typos in debian/rules comments.
  * Correct typo in Vcs-Git url.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Dec 2018 11:14:43 +0000

elogind (239.2-1+debian1) UNRELEASED; urgency=medium

  * New upstream version 239.2.
  * Enable compile-time testsuite which depends on dbus.
  * Include busctl manpage.
  * Support /var/lib/dbus/machine-id as alternative to /etc/machine-id.
  * Enable SELinux support.
  * Change Vcs- fields to point to https://git.devuan.org/devuan-packages/
  * Set correct debian-branch and upstream-tag in debian/gbp.conf.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 27 Nov 2018 18:37:09 +0000

elogind (239.1+20181115-1) unstable; urgency=medium

  * Upstream fix to address excessive delay closing sessions.
  * Revert to default setting for poweroff-path. This can be overridden by
    sysadmin in logind.conf.
  * To build proposed different policykit-1 flavours, we will need to install
    libsystemd-dev and libelogind-dev simlultaneously. So
     - move dev manpages, coding style and gvariant serialisation documentation
       to a new libelogind-dev-doc package.
     - libelogind-dev suggests libelogind-dev-doc and no longer conflicts with
       libsystemd-dev.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 15 Nov 2018 10:38:59 +0000
