=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
-Uploaders: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders: Andreas Messer <andi@bastelmap.de>,
+           Mark Hindley <mark@hindley.org.uk>,
+           Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-pacakges/elogind.git
+Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
 Vcs-Browser: https://git.devuan.org/devuan-packages/elogind.git
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
@@ -23,7 +25,8 @@
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
-               libglib2.0-dev
+               libglib2.0-dev,
+               dbus (>= 1.9.14)
 
 Package: elogind
 Section: admin
@@ -64,6 +67,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libelogind0 (= ${binary:Version})
+Suggests: libelogind-dev-doc
 Description: user, seat and session management library (development files)
  This package contains the files needed for developing applications that 
  use libelogind
@@ -72,12 +76,15 @@
 Package: libelogind-dev-doc
 Section: libdevel
 Priority: optional
-Architecture: linux-any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libelogind-dev (= ${binary:Version})
+         ${misc:Depends}
+Recommends: libelogind-dev (= ${binary:Version})
+Replaces: libelogind-dev (<< 239.1+20181115-1)
+Breaks: libelogind-dev (<< 239.1+20181115-1)
+Conflicts: libsystemd-dev
 Description: user, seat and session management library (development documentation files)
  This package contains the documentation related to developing applications that
  use libelogind
@@ -93,9 +100,6 @@
          elogind (= ${binary:Version}),
          libpam-runtime
 Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd
-Replaces: libpam-systemd
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
