=== debian/changelog ===
elogind (239.3+20190131-1+debian1) unstable; urgency=medium

  * New snapshot of upstream/v239-stable.
  * Remove local patches now fixed upstream.
  * libpam-elogind provides new virtual package logind (versioned).
  * Use new SIGINT handler for graceful restarts in initscript.
  * Specify debian branch in Vcs-* fields.
  * Update to Standards version 4.3.0 (no changes).
  * Correct closes bug number in 239.3-4+debian1 changelog.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 04 Feb 2019 08:35:44 +0000
