=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Andreas Messer <andi@bastelmap.de>,
            Mark Hindley <mark@hindley.org.uk>,
            Ian Jackson <ijackson@chiark.greenend.org.uk>
-Standards-Version: 4.2.1
-Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git
-Vcs-Browser: https://git.devuan.org/devuan-packages/elogind.git
+Standards-Version: 4.3.0
+Vcs-Git: https://git.devuan.org/devuan-packages/elogind.git -b debian
+Vcs-Browser: https://git.devuan.org/devuan-packages/elogind/tree/debian
 Homepage: https://github.com/elogind/elogind
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.0),
@@ -41,7 +41,6 @@
          lsb-base (>= 3.1),
          dbus (>= 1.9.14)
 Recommends: policykit-1
-Provides: logind
 Conflicts: systemd
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
@@ -99,7 +98,9 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Conflicts: libpam-ck-connector
+Provides: logind (= ${binary:Version})
+Conflicts: logind, libpam-ck-connector
+Replaces: logind
 Description: elogind PAM module 
  Plugable Authentication Module to register a session with elogind
