=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,10 @@
 #! /usr/bin/make -f
 
-# The options have been chooses as follows:
-# - manually set pamlibdir because we'Re installing in /usr by default but
+# The options have been chosen as follows:
+# - manually set pamlibdir because we're installing in /usr by default but
 #   pam libs must go to /lib/*/security, same for udev rules
 # - disable killing users processes by default. This is weird an unexpected
-#   behavior
-# - tests disabled beacuase some of the tests seem to require elogind running.
-#   Need to sort out which tests could be run
+#   behaviour
 
 CONFFLAGS = \
   -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
@@ -15,7 +13,7 @@
   -Ddocdir=/usr/share/doc/elogind \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
-  -Dtests=false
+  -Dtests=true
 
 CONFFLAGS_CGROUPCTRL_ELOGIND= \
   -Dcgroup-controller=elogind
